package com.mpaas.demo.analytics.testcase.util;

import android.os.Handler;
import android.os.Looper;

/**
 * Created by xingcheng on 2019/3/5.
 */

public class ThreadUtil {

    private static Handler handler;
    private static boolean sleeping;

    public static void sleep() {
        sleeping = true;
        while (sleeping) {
            try {
                Thread.sleep(100);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }
    }

    public static void wake() {
        sleeping = false;
    }

    public static void sleep(int second) {
        try {
            Thread.sleep(second * 1000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }

    public static void runOnMainThread(Runnable r) {
        if (handler == null) {
            handler = new Handler(Looper.getMainLooper());
        }
        handler.post(r);
    }
}
