package com.alipay.mobile.antui.excutor;

import android.animation.Animator;
import android.animation.ValueAnimator;
import android.content.Context;
import android.view.View;

import org.json.JSONObject;

/**
 * Created by xuanmu on 17/10/26.
 */

public interface LottieViewExecutor {

    View createLottieAnimation(Context context, JSONObject fileObject);

    void setProgress(View view, float progress);

    void setMinAndMaxProgress(View view, float min, float max);

    void loop(View view, boolean isLoop);

    void playAnimation(View view);

    void cancelAnimation(View view);

    void pauseAnimation(View view);

    void setScale(View view, float scale);

    void addAnimatorUpdateListener(View view, ValueAnimator.AnimatorUpdateListener animatorUpdateListener);

    void addAnimatorListener(View view, Animator.AnimatorListener animatorListener);

    void setImageAssetsDelegateFolder(View view, String imageAssetsFolder);
}
