package com.mpaas.demo.framework.pipeline;

import android.os.Bundle;
import android.preference.PreferenceManager;
import android.view.View;
import android.widget.Toast;

import com.alipay.mobile.antui.basic.AUToast;
import com.alipay.mobile.common.logging.api.LoggerFactory;
import com.alipay.mobile.framework.app.ui.BaseActivity;
import com.mpaas.demo.framework.Constant;
import com.mpaas.demo.framework.R;
import com.mpaas.demo.framework.api.Constants;

/**
 * Created by mengfei on 2018/7/25.
 */

public class MainActivity extends BaseActivity implements View.OnClickListener {
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main_pipeline);
        findViewById(R.id.btn).setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        int id = v.getId();
        switch (id) {
            case R.id.btn:
                String toast = PreferenceManager.getDefaultSharedPreferences(this).getString(Constants.KEY_PIPELINE_RUN_TIMESTAMP, null);
                AUToast.makeToast(this, 0, toast, Toast.LENGTH_SHORT).show();
                LoggerFactory.getTraceLogger().debug(Constant.TAG, "PipeLine success");
                break;
        }
    }
}
