package com.mpaas.demo.hotpatch.testcase;

import com.alipay.mobile.common.logging.api.LogEvent;
import com.mpaas.diagnose.ILogListener;

import java.util.List;

import static com.alipay.mobile.common.logging.api.LogEvent.Level.INFO_INT;
import static com.mpaas.diagnose.CaseInfo.RESULT_CODE_SUCCESS;

/**
 * Created by mengfei on 2019/2/26.
 */

public class ApplyHotpatchLogListener implements ILogListener {
    @Override
    public String getTag() {
        return "DexP.DexPatchManager";
    }

    @Override
    public List<String> getProcesses() {
        return null;
    }

    @Override
    public boolean canFuzzyMatch() {
        return false;
    }

    @Override
    public void onLogAppend(LogEvent logEvent, String s) {
        if (logEvent.getLevel().levelInt == INFO_INT) {
            if (logEvent.getMessage().contains("trigPreparePatch")) {
                if (logEvent.getMessage().contains("triggered")) {
                    HotpatchDiagnoseController.service.reportCase(ApplyHotpatchTestCase.getInstance().getCaseInfo(), RESULT_CODE_SUCCESS, "");
                }
            }
        }
    }
}
