package com.mpaas.demo.launcher;

import android.content.Context;
import android.content.SharedPreferences;
import android.text.TextUtils;

/**
 * Created by xingcheng on 2018/8/6.
 */

public class User {

    private static String userId = null;

    public static String getUserId(Context context) {
        if (TextUtils.isEmpty(userId)) {
            SharedPreferences pref = context.getSharedPreferences("user_info", Context.MODE_PRIVATE);
            userId = pref.getString("user_id", null);
            synchronized (User.class) {
                if (TextUtils.isEmpty(userId)) {
                    long s = System.currentTimeMillis();
                    userId = Long.toHexString(s);
                    pref.edit().putString("user_id", userId).apply();
                }
            }
        }
        return userId;
    }

}
