package com.mpaas.demo.nebula;

import android.os.Bundle;

import com.alipay.mobile.nebula.provider.H5AppCenterPresetProvider;
import com.alipay.mobile.nebula.util.H5Utils;
import com.mpaas.nebula.adapter.api.H5ExtConfigProvider;

/**
 * Created by omg on 2018/7/23.
 */

public class H5NebulaInitServiceImpl extends H5NebulaInitService {
    @Override
    protected void onCreate(Bundle bundle) {
        // 内置小程序资源包
        H5Utils.setProvider(H5AppCenterPresetProvider.class.getName(), new H5AppCenterPresetProviderImpl());
        // 这里事先关闭下H5离线包验签功能
        H5Utils.setProvider(H5ExtConfigProvider.class.getName(), new H5ExtConfigProvider() {
            @Override
            public String getConfig(String s) {
                if ("h5_shouldverifyapp".equalsIgnoreCase(s)) {
                    return "NO";
                }
                return null;
            }
        });
    }

    @Override
    protected void onDestroy(Bundle bundle) {

    }
}
