package com.mpaas.demo.nebula.testcase;

import com.alipay.mobile.common.logging.api.LogEvent;
import com.mpaas.diagnose.ILogListener;

import java.util.List;

import static com.alipay.mobile.common.logging.api.LogEvent.Level.DEBUG_INT;
import static com.mpaas.diagnose.CaseInfo.RESULT_CODE_FAIL;
import static com.mpaas.diagnose.CaseInfo.RESULT_CODE_SUCCESS;

public class H5AppCenterServiceImplLogListener implements ILogListener {
    @Override
    public String getTag() {
        return "H5AppCenterServiceImpl";
    }

    @Override
    public List<String> getProcesses() {
        return null;
    }

    @Override
    public boolean canFuzzyMatch() {
        return false;
    }

    @Override
    public void onLogAppend(LogEvent logEvent, String s) {
        if (logEvent.getLevel().levelInt == DEBUG_INT) {
            if (logEvent.getMessage().contains("preset appId:")) {
                if (logEvent.getMessage().contains("90000000")) {
                    NebulaDiagnoseController.service.reportCase(LoadOfflineNebulaCase.getInstance().getCaseInfo(), RESULT_CODE_SUCCESS, "");
                }
            }
        }
    }

}
