package com.mpaas.demo.storage;

import android.view.View;
import android.widget.BaseAdapter;

import com.alipay.mobile.antui.basic.AUButton;
import com.alipay.mobile.antui.basic.AUListView;
import com.alipay.mobile.antui.basic.AUTextView;
import com.alipay.mobile.antui.basic.AUTitleBar;
import com.alipay.mobile.framework.app.ui.BaseActivity;
import com.mpaas.demo.sharedres.MenuPopupWindow;

import java.text.SimpleDateFormat;

public class BaseStorageActivity extends BaseActivity {
    protected static final String GROUP_ID = "com_mpaas_demo_storage";
    protected static final SimpleDateFormat SIMPLE_DATE_FORMAT = new SimpleDateFormat("yyyy-MM-dd-HH:mm:ss");
    protected AUTextView mMainTv;
    protected AUButton mMainBtn;
    protected AUListView mMainLv;
    protected BaseAdapter mAdapter;
    protected AUTitleBar mTitle;

    protected void findView() {
        mTitle = (AUTitleBar) findViewById(R.id.title_atb);
        mMainTv = (AUTextView) findViewById(R.id.storage_main_tv);
        mMainBtn = (AUButton) findViewById(R.id.storage_main_btn);
        mMainLv = (AUListView) findViewById(R.id.storage_main_lv);

        mTitle.getRightButtonIconView().setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                MenuPopupWindow popupWindow = new MenuPopupWindow(BaseStorageActivity.this);
                popupWindow.showAsDropDown(mTitle.getRightButtonIconView(), 0, 0);
            }
        });
    }

    protected class ViewHolder {
        public AUTextView firstTv;
        public AUTextView secondTv;
    }
}
