package com.mpaas.demo.sync;

import android.content.Intent;
import android.os.Bundle;

import com.alipay.mobile.framework.app.ActivityApplication;

/**
 * Created by larry.cl.
 */
public class SyncMicroApp extends ActivityApplication {

    private Bundle mParam;

    @Override
    public String getEntryClassName() {
        return null;
    }

    @Override
    protected void onCreate(Bundle bundle) {
        mParam = bundle;
    }

    @Override
    protected void onStart() {
        dispatchApp(mParam);
    }

    @Override
    protected void onRestart(Bundle bundle) {
        mParam = bundle;
        dispatchApp(mParam);
    }

    @Override
    protected void onStop() {

    }

    @Override
    protected void onDestroy(Bundle bundle) {

    }

    private void dispatchApp(Bundle bundle) {
        String type = bundle.getString("type");
        if ("device".equals(type)) {
            Intent intent = new Intent(getMicroApplicationContext().getApplicationContext(),
                    DeviceBasedSyncActivity.class);
            getMicroApplicationContext().startActivity(this, intent);
        } else if ("user".equals(type)) {
            Intent intent = new Intent(getMicroApplicationContext().getApplicationContext(),
                    UserBasedSyncActivity.class);
            getMicroApplicationContext().startActivity(this, intent);
        }
    }

}
