package com.mpaas.demo.upgrade.testcase;

import com.mpaas.diagnose.CaseInfo;
import com.mpaas.diagnose.ICase;

/**
 * Created by larry.cl.
 */
public class UpgradeCase implements ICase {

    private static UpgradeCase sInstance;
    private CaseInfo mCaseInfo;

    private UpgradeCase() {

    }

    public static UpgradeCase getInstance() {
        if (sInstance == null) {
            synchronized (UpgradeCase.class) {
                if (sInstance == null) {
                    sInstance = new UpgradeCase();
                }
            }
        }
        return sInstance;
    }

    @Override
    public CaseInfo getCaseInfo() {
        if (mCaseInfo == null) {
            mCaseInfo = new CaseInfo(
                    "Upgrade",
                    "Upgrade-000000",
                    "检测Upgrade升级功能",
                    "手动检测Upgrade升级功能",
                    true
            );
        }
        return mCaseInfo;
    }

    @Override
    public void run() {
    }
}
