package com.mpaas.demo.analytics.testcase;

import com.mpaas.diagnose.CaseInfo;
import com.mpaas.diagnose.ICase;
import com.mpaas.mas.adapter.api.MPLogger;

/**
 * Created by xingcheng on 2019/2/26.
 */

public class UploadCase extends BaseCase {

    private static UploadCase sInstance;
    private CaseInfo mCaseInfo;

    private UploadCase() {
    }

    public static UploadCase getInstance() {
        if (sInstance == null) {
            synchronized (UploadCase.class) {
                if (sInstance == null) {
                    sInstance = new UploadCase();
                }
            }
        }
        return sInstance;
    }

    @Override
    public CaseInfo getCaseInfo() {
        if (mCaseInfo == null) {
            mCaseInfo = new CaseInfo(
                    "Analytics",
                    "Analytics-000007",
                    "检测日志上报",
                    "自动检测日志上报",
                    false
            );
        }
        return mCaseInfo;
    }

    @Override
    public void run() {
        MPLogger.uploadAll();
    }
}
