package com.mpaas.demo.framework.testcase;

import android.preference.PreferenceManager;

import com.alipay.mobile.framework.LauncherApplicationAgent;
import com.mpaas.diagnose.CaseInfo;
import com.mpaas.diagnose.ICase;

/**
 * Created by mengfei on 2019/2/26.
 */

public class UtdIdTestCase implements ICase {
    private static UtdIdTestCase sInstance;
    private CaseInfo mCaseInfo;

    private UtdIdTestCase() {
    }

    public static UtdIdTestCase getInstance() {
        if (sInstance == null) {
            synchronized (UtdIdTestCase.class) {
                if (sInstance == null) {
                    sInstance = new UtdIdTestCase();
                }
            }
        }
        return sInstance;
    }

    @Override
    public CaseInfo getCaseInfo() {
        if (mCaseInfo == null) {
            mCaseInfo = new CaseInfo(
                    "Framework",
                    "Framework-Utdid",
                    "Utdid设备标识",
                    "设备标识组件提供获取设备标识的功能，有一定的重复率",
                    false
            );
        }
        return mCaseInfo;
    }

    @Override
    public void run() {
    }
}
