package com.mpaas.demo.hotpatch.testcase;

import com.alipay.mobile.common.logging.api.LogEvent;
import com.alipay.mobile.common.logging.api.LoggerFactory;
import com.mpaas.diagnose.ILogListener;

import java.util.List;

import static com.alipay.mobile.common.logging.api.LogEvent.Level.WARN_INT;
import static com.mpaas.diagnose.CaseInfo.RESULT_CODE_SUCCESS;

public class DynamicReleaseLogListener implements ILogListener {
    @Override
    public String getTag() {
        return "DynamicRelease";
    }

    @Override
    public List<String> getProcesses() {
        return null;
    }

    @Override
    public boolean canFuzzyMatch() {
        return false;
    }

    @Override
    public void onLogAppend(LogEvent logEvent, String s) {
        if (logEvent.getLevel().levelInt == WARN_INT) {
            if (logEvent.getMessage().contains("UnionResourceResult")) {
                if (logEvent.getMessage().contains("success=true")) {
                    HotpatchDiagnoseController.service.reportCase(DownloadPatchTestCase.getInstance().getCaseInfo(), RESULT_CODE_SUCCESS, "");
                }
            }
        }
    }
}
