package com.mpaas.demo.launcher;

import android.app.Application;

import com.alipay.mobile.framework.LauncherApplicationAgent;
import com.mpaas.diagnose.DiagnoseService;
import com.mpaas.framework.adapter.api.MPFramework;
import com.mpaas.mas.adapter.api.MPLogger;

/**
 * Created by seker on 16/2/18.
 */
public class MockLauncherApplicationAgent extends LauncherApplicationAgent {

    public MockLauncherApplicationAgent(Application context, Object bundleContext) {
        super(context, bundleContext);
    }

    @Override
    public void preInit() {
        super.preInit();
    }

    @Override
    public void postInit() {
        if (MPLogger.isDebug(getApplicationContext())) {
            DiagnoseService service = MPFramework.getExternalService(DiagnoseService.class.getName());
            if (service != null) {
                service.init();
            }
        }
        super.postInit();
    }
}
