package com.mpaas.demo.launcher.expandview;

import android.os.Bundle;

/**
 * Created by ciwei on 18/6/17.
 */

public class ComponentModel {

    public int iconResId = -1;
    public String title;
    public String appId;
    public Bundle bundle;
    public IComponentModel mModelHandler;

    public ComponentModel(String title) {
        this(title, "");
    }

    public ComponentModel(int iconResId, String title) {
        this.title = title;
        this.iconResId = iconResId;
    }

    public ComponentModel(String title, String appId) {
        this(title, appId, new Bundle());
    }

    public void setModelHandler(IComponentModel handler) {
        mModelHandler = handler;
    }

    public ComponentModel(String title, String appId, Bundle bundle) {
        this.iconResId = -1;
        this.title = title;
        this.appId = appId;
        this.bundle = bundle;
    }
}
