package com.mpaas.demo.lbs.testcase;

import com.alipay.mobile.framework.LauncherApplicationAgent;
import com.mpaas.diagnose.DiagnoseService;
import com.mpaas.diagnose.IDiagnoseController;
import com.mpaas.diagnose.ILogListener;

import java.util.LinkedList;

/**
 * Created by xingcheng on 2019/3/5.
 */

public class LbsDiagnoseController implements IDiagnoseController {

    public static DiagnoseService service;

    @Override
    public void init() {
        service = LauncherApplicationAgent.getInstance().getMicroApplicationContext().findServiceByInterface(DiagnoseService.class.getName());
        service.registerCase(CheckPermissionCase.getInstance().getCaseInfo());
        service.registerCase(RequestLocationCase.getInstance().getCaseInfo());
    }

    @Override
    public LinkedList<ILogListener> registerLogListeners() {
        return null;
    }

    @Override
    public void runAllCase() {
        CheckPermissionCase.getInstance().run();
        RequestLocationCase.getInstance().run();
    }
}
