package com.mpaas.demo.nebula;

import android.net.http.SslError;

import com.alipay.mobile.common.logging.api.LoggerFactory;
import com.alipay.mobile.nebula.provider.H5ReceivedSslErrorHandler;
import com.alipay.mobile.nebula.webview.APSslErrorHandler;
import com.alipay.mobile.nebula.webview.APWebView;

/**
 * @author maksim
 * @brief ssl错误处理
 * @date 2018/3/6.
 */
public class H5ReceivedSslErrorHandlerImpl implements H5ReceivedSslErrorHandler {

    @Override
    public void onReceivedSslError(APWebView view, APSslErrorHandler handler, SslError error) {
        try {
            // 表示忽略ssl错误
            handler.proceed();
        } catch (Throwable e) {
            LoggerFactory.getTraceLogger().error("H5ReceivedSslErrorHandler", e);
        }
    }
}
