package com.mpaas.demo.nebula.testcase;

import com.alipay.mobile.common.logging.api.LogEvent;
import com.mpaas.diagnose.ILogListener;

import java.util.List;

import static com.alipay.mobile.common.logging.api.LogEvent.Level.DEBUG_INT;
import static com.mpaas.diagnose.CaseInfo.RESULT_CODE_SUCCESS;

public class H5GlobalDegradePkgLogListener implements ILogListener {
    @Override
    public String getTag() {
        return "H5GlobalDegradePkg";
    }

    @Override
    public List<String> getProcesses() {
        return null;
    }

    @Override
    public boolean canFuzzyMatch() {
        return false;
    }

    @Override
    public void onLogAppend(LogEvent logEvent, String s) {
        if (logEvent.getLevel().levelInt == DEBUG_INT) {
            if (logEvent.getMessage().contains("setWalletPreset getPreSetInfo")) {
                if (logEvent.getMessage().contains("66666692")) {
                    NebulaDiagnoseController.service.reportCase(TinyAppCommonResCase.getInstance().getCaseInfo(), RESULT_CODE_SUCCESS, "");
                }
            }
        }
    }
}
