package com.mpaas.demo.storage;

import android.os.Bundle;
import android.text.TextUtils;

import com.alipay.mobile.framework.app.ActivityApplication;

public class StorageMicroApp extends ActivityApplication {

    private Bundle mParam;

    @Override
    public String getEntryClassName() {
        return null;
    }

    @Override
    protected void onCreate(Bundle bundle) {
        mParam = bundle;
    }

    @Override
    protected void onStart() {
        doStart(mParam);
    }

    @Override
    protected void onRestart(Bundle bundle) {
        mParam = bundle;
        doStart(mParam);
    }

    @Override
    protected void onStop() {

    }

    @Override
    protected void onDestroy(Bundle bundle) {

    }

    private void doStart(Bundle bundle) {
        String className = DBStorageActivity.class.getName();
        if (null != bundle) {
            String start = bundle.getString("start");
            if (!TextUtils.isEmpty(start)) {
                if ("DB".equals(start)) {
                    className = DBStorageActivity.class.getName();
                } else if ("KV".equals(start)) {
                    className = KVStorageActivity.class.getName();
                } else if ("File".equals(start)) {
                    className = FileStorageActivity.class.getName();
                }
            }
        }
        getMicroApplicationContext().startActivity(this, className);
    }
}
