package com.mpaas.demo.upgrade.testcase;

import com.mpaas.diagnose.CaseInfo;
import com.mpaas.diagnose.ICase;

/**
 * Created by larry.cl.
 */
public class DownloadFailedCase implements ICase {

    private static DownloadFailedCase sInstance;
    private CaseInfo mCaseInfo;

    private DownloadFailedCase() {

    }

    public static DownloadFailedCase getInstance() {
        if (sInstance == null) {
            synchronized (UpgradeCase.class) {
                if (sInstance == null) {
                    sInstance = new DownloadFailedCase();
                }
            }
        }
        return sInstance;
    }

    @Override
    public CaseInfo getCaseInfo() {
        if (mCaseInfo == null) {
            mCaseInfo = new CaseInfo(
                    "Upgrade",
                    "Upgrade-000006",
                    "检测Upgrade下载失败回调功能",
                    "手动检测Upgrade下载失败回调功能",
                    true
            );
        }
        return mCaseInfo;
    }

    @Override
    public void run() {

    }
}
